> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization Tenant



## OpenAPI

````yaml firework-v2-openapi post /firework/v2/organizations/{organization_id}/tenants
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/organizations/{organization_id}/tenants:
    post:
      tags:
        - organizations
      operationId: >-
        post_organization_tenants_api_/organizations/<int:organization_id>/tenants
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewTenantInfo'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tenant'
          description: Success
components:
  schemas:
    NewTenantInfo:
      properties:
        name:
          type: string
        description:
          type: string
        industry:
          enum:
            - global
            - transport
            - education
            - energy
            - finance
            - healthcare
            - manufacturing
            - retail
            - software
            - telecommunication
          example: global
          type: string
      type: object
    Tenant:
      properties:
        id:
          description: Tenant ID
          type: integer
        name:
          description: Tenant name
          type: string
        type:
          description: Tenant type
          type: string
        description:
          description: This tenant's purpose
          type: string
        organization_id:
          description: ID of the owner organization
          type: integer
        urn:
          description: The uniform resource name of the tenant.
          type: string
        number_of_employees:
          description: The number of employees for the tenant.
          type: integer
        industry:
          description: The industry of the tenant.
          type: string
        is_disabled:
          description: Indicates if the tenant is disabled
          type: boolean
        is_archived:
          description: Indicates if the tenant is archived
          type: boolean
        feed_id:
          description: ID of the feed
          type: integer
        permissions:
          items:
            type: string
          type: array
        prevent_global_search:
          description: Indicates if the tenant can perform global searches
          type: boolean
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````